# FLUX.1 Kontext Max - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-flux-1-kontext-max

# FLUX.1 Kontext Max

POST

/

v3

/

async

/

flux-1-kontext-max

Try it

FLUX.1 Kontext Max

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/flux-1-kontext-max \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"prompt": "&#x3C;string>",
"images": [
"&#x3C;string>"
],
"seed": 123,
"guidance_scale": 123,
"safety_tolerance": "&#x3C;string>",
"aspect_ratio": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/v3/async/flux-1-kontext-max"payload = { "prompt": "&#x3C;string>", "images": ["&#x3C;string>"], "seed": 123, "guidance_scale": 123, "safety_tolerance": "&#x3C;string>", "aspect_ratio": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ prompt: '&#x3C;string>', images: ['&#x3C;string>'], seed: 123, guidance_scale: 123, safety_tolerance: '&#x3C;string>', aspect_ratio: '&#x3C;string>' })};fetch('https://api.novita.ai/v3/async/flux-1-kontext-max', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/async/flux-1-kontext-max", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'prompt' => '&#x3C;string>', 'images' => [ '&#x3C;string>' ], 'seed' => 123, 'guidance_scale' => 123, 'safety_tolerance' => '&#x3C;string>', 'aspect_ratio' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/async/flux-1-kontext-max"	payload := strings.NewReader("{\n \"prompt\": \"&#x3C;string>\",\n \"images\": [\n \"&#x3C;string>\"\n ],\n \"seed\": 123,\n \"guidance_scale\": 123,\n \"safety_tolerance\": \"&#x3C;string>\",\n \"aspect_ratio\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/async/flux-1-kontext-max") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"prompt\": \"&#x3C;string>\",\n \"images\": [\n \"&#x3C;string>\"\n ],\n \"seed\": 123,\n \"guidance_scale\": 123,\n \"safety_tolerance\": \"&#x3C;string>\",\n \"aspect_ratio\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/async/flux-1-kontext-max")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"prompt\": \"&#x3C;string>\",\n \"images\": [\n \"&#x3C;string>\"\n ],\n \"seed\": 123,\n \"guidance_scale\": 123,\n \"safety_tolerance\": \"&#x3C;string>\",\n \"aspect_ratio\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"task_id": "&#x3C;string>"
}
```

FLUX.1 Kontext [max] is a model with greatly improved prompt adherence and typography generation meet premium consistency for editing without compromise on speed.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-prompt)

prompt

string

required

The prompt to generate an image from.

[​](#param-images)

images

string[]

The images to generate an image from. Limit to a maximum of 4 images.

[​](#param-seed)

seed

integer

The random seed to use for the generation. Range [-1 ~ 2147483647].

[​](#param-guidance-scale)

guidance_scale

number

The guidance scale to use for the generation. Default is 3.5. Range [1.0 ~ 20.0].

[​](#param-safety-tolerance)

safety_tolerance

string

The safety tolerance level for the generated image. 1 being the most strict and 5 being the most permissive. Default is 2.

Enum: `1`, `2`, `3`, `4`, `5`

[​](#param-aspect-ratio)

aspect_ratio

string

The aspect ratio of the generated image.

Enum: `21:9`, `16:9`, `4:3`, `3:2`, `1:1`, `2:3`, `3:4`, `9:16`, `9:21`

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on September 12, 2025
